
script.on_event(defines.events.on_player_created, function(event)
  local player = game.get_player(event.player_index)
  local frame = player.gui.screen.add{
    type = "frame",
    direction = "vertical",
    caption = "test",
    name = "frame1",
  }
  frame.force_auto_center()
  frame.add{
    type = "switch",
    name = "sw_1",
  }
  frame.add{
    type = "switch",
    name = "sw_2",
    switch_state = "left",
    allow_none_state = false,
    left_label_caption = "left",
    right_label_caption = "right with more text",
    left_label_tooltip = "left tooltip",
    right_label_tooltip = "right tooltip",
  }
  frame.add{
    type = "button",
    name = "btn_1",
  }
end)

script.on_event(defines.events.on_gui_click, function(event)
  game.print("clicked " .. event.element.type .. " " .. tostring(event.element.caption or event.element.name))
end)
script.on_event(defines.events.on_gui_switch_state_changed, function(event)
  game.print("switched " .. event.element.type .. " " .. tostring(event.element.caption or event.element.name))
end)
